Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.process
[Java] Interface BaseExecSpec

    org.gradle.process.BaseExecSpec
      org.gradle.process.ProcessForkOptions

All Superinterfaces:
  ProcessForkOptions

    public interface BaseExecSpec
    extends ProcessForkOptions

Specifies options for launching a child process.

Authors:
  Hans Dockter

Method Summary
`java.util.List` | `getCommandLine()` Returns the full command line, including the executable plus its arguments.
`java.io.OutputStream` | `getErrorOutput()` Returns the output stream to consume standard error from the process executing the command.
`java.io.InputStream` | `getStandardInput()` Returns the standard input stream for the process executing the command.
`java.io.OutputStream` | `getStandardOutput()` Returns the output stream to consume standard output from the process executing the command.
`boolean` | `isIgnoreExitValue()` Tells whether a non-zero exit value is ignored, or an exception thrown.
`BaseExecSpec` | `setErrorOutput(java.io.OutputStream outputStream)` Sets the output stream to consume standard error from the process executing the command.
`BaseExecSpec` | `setIgnoreExitValue(boolean ignoreExitValue)` Sets whether a non-zero exit value is ignored, or an exception thrown.
`BaseExecSpec` | `setStandardInput(java.io.InputStream inputStream)` Sets the standard input stream for the process executing the command.
`BaseExecSpec` | `setStandardOutput(java.io.OutputStream outputStream)` Sets the output stream to consume standard output from the process executing the command.

Methods inherited from interface ProcessForkOptions
copyTo, environment, environment, executable, getEnvironment, getExecutable, getWorkingDir, setEnvironment, setExecutable, setWorkingDir, workingDir

Method Detail

### getCommandLine

    public java.util.List getCommandLine()

  Returns the full command line, including the executable plus its arguments.
  Returns:
    The full command line, including the executable plus its arguments

### getErrorOutput

    public java.io.OutputStream getErrorOutput()

  Returns the output stream to consume standard error from the process executing the command. Default to `System.err`.
  Returns:
    The error output stream.

### getStandardInput

    public java.io.InputStream getStandardInput()

  Returns the standard input stream for the process executing the command. The stream is closed after the process completes. Defaults to an empty stream.
  Returns:
    The standard input stream.

### getStandardOutput

    public java.io.OutputStream getStandardOutput()

  Returns the output stream to consume standard output from the process executing the command. Defaults to `System.out`.
  Returns:
    The output stream

### isIgnoreExitValue

    public boolean isIgnoreExitValue()

  Tells whether a non-zero exit value is ignored, or an exception thrown. Defaults to `false`.
  Returns:
    whether a non-zero exit value is ignored, or an exception thrown

### setErrorOutput

    public BaseExecSpec setErrorOutput(java.io.OutputStream outputStream)

  Sets the output stream to consume standard error from the process executing the command. The stream is closed after the process completes.
  Parameters:
    `outputStream` - The standard output error stream for the process. Must not be null.
  Returns:
    this

### setIgnoreExitValue

    public BaseExecSpec setIgnoreExitValue(boolean ignoreExitValue)

  Sets whether a non-zero exit value is ignored, or an exception thrown.
  Parameters:
    `ignoreExitValue` - whether a non-zero exit value is ignored, or an exception thrown
  Returns:
    this

### setStandardInput

    public BaseExecSpec setStandardInput(java.io.InputStream inputStream)

  Sets the standard input stream for the process executing the command. The stream is closed after the process completes.
  Parameters:
    `inputStream` - The standard input stream for the process. Must not be null.
  Returns:
    this

### setStandardOutput

    public BaseExecSpec setStandardOutput(java.io.OutputStream outputStream)

  Sets the output stream to consume standard output from the process executing the command. The stream is closed after the process completes.
  Parameters:
    `outputStream` - The standard output stream for the process. Must not be null.
  Returns:
    this

Groovy Documentation